View Issue Details

IDProjectCategoryView StatusLast Update
0002704Kali Linux[All Projects] Tool Upgradepublic2018-05-08 07:26
ReporterkimocoderAssigned To 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version2018.3 
Summary0002704: Switch from wifite to wifite2
DescriptionYou better check out wifite's maintainer newest release, named wifite2.
The latest commit and changes are not known by me, but you better check it out :)


https://github.com/derv82/wifite2

<3 derv82
Additional Informationhttps://github.com/derv82/wifite2

Activities

derv82

2015-12-31 04:40

reporter   ~0004464

Author here.

Thanks for noticing the rewrite. I wanted to add a comment about this upgrade:

The current version on the repo (as of December 2015) is *not* ready for release. It's not even ready for beta testing yet.

I plan to clean it up and make a forum post asking for testers, hopefully soon.

Please don't replace the existing wifite with "Wifite2" at this time. I will update this issue when I think it's ready to be released into Kali.

muts

2015-12-31 12:30

administrator   ~0004465

Thanks for the note, we'll keep our eyes open.

rhertzog

2016-01-22 08:35

administrator   ~0004544

Marking this entry as waiting on feedback until the upstream author confirms that wifite2 is ready.

rhertzog

2017-07-17 10:35

administrator   ~0006902

What's the status of the wifite2 repository?

kimocoder

2017-07-17 12:32

reporter   ~0006903

I've been working with it some time now, the wifite is updated lately (last commit is fixes for Kali) but is not incuded in Kali. Most problems are fixed besides pixiewps & wps attacks (pixie attack stucks). version bump is suggested to derv82 for an easy upgrade, but the pull req. still awaits.

Personally I have changed to wifite2 which got updated at the same time as wifite and it works great besides that pixiewps got an issue here too. Suggest looking into either upgrading wifite or better change/add wifite2. Thanks for asking sir, many people are asking for this these days.

kimocoder

2017-07-17 12:38

reporter   ~0006904

noted derv82 for confirmation of status, better wait for his input here. Again, thanks.

g0tmi1k

2018-01-29 15:37

administrator   ~0008521

wifite2 - https://github.com/derv82/wifite2 ~ 2017 June 12
wifite - https://github.com/derv82/wifite ~ 2017 May 15 (Commit for Kali ~ https://github.com/derv82/wifite/commit/918a499786afdfefcc9582a29df79d0959294ba2)

No repo has a tag release

kimocoder

2018-03-02 20:20

reporter   ~0008837

wifite2 is updated again. may consider changing old wifite with it.

rhertzog

2018-03-04 20:33

administrator   ~0008845

So you are suggesting that we replace wifite by wifite2, right?

Note that wifite is maintained in Debian currently.

kimocoder

2018-03-04 20:40

reporter   ~0008847

Yes it's seems logical now that the remaining issues has been resolved. It's working really great. @derv82 was do you think about trading them in Kali? Is it ready to go?

kimocoder

2018-03-10 20:30

reporter   ~0008898

Updated info found at
https://github.com/derv82/wifite2/issues/20

More work has to be done, so this may be closed until further notice instead. would take some more time to finish up. Thanks.

g0tmi1k

2018-05-08 07:25

administrator   ~0009127

https://pkg.kali.org/pkg/wifite

```
[2018-05-05] wifite 2.1.0-1 imported into kali-rolling (Kali Repository)
```

Issue History

Date Modified Username Field Change
2015-10-05 07:04 kimocoder New Issue
2015-11-06 23:44 bhjr Issue cloned: 0002751
2015-12-31 04:40 derv82 Note Added: 0004464
2015-12-31 12:30 muts Note Added: 0004465
2016-01-22 08:35 rhertzog Note Added: 0004544
2016-01-22 08:35 rhertzog Status new => feedback
2017-05-05 10:09 sbrun Status feedback => resolved
2017-05-05 10:09 sbrun Resolution open => fixed
2017-07-17 10:35 rhertzog Status resolved => feedback
2017-07-17 10:35 rhertzog Resolution fixed => reopened
2017-07-17 10:35 rhertzog Note Added: 0006902
2017-07-17 12:32 kimocoder Note Added: 0006903
2017-07-17 12:32 kimocoder Status feedback => new
2017-07-17 12:38 kimocoder Note Added: 0006904
2018-01-29 15:37 g0tmi1k Note Added: 0008521
2018-02-21 09:59 g0tmi1k Product Version 2.0 =>
2018-03-02 20:20 kimocoder Note Added: 0008837
2018-03-04 20:32 rhertzog Assigned To => sbrun
2018-03-04 20:32 rhertzog Status new => assigned
2018-03-04 20:33 rhertzog Note Added: 0008845
2018-03-04 20:40 kimocoder Note Added: 0008847
2018-03-10 20:30 kimocoder Note Added: 0008898
2018-03-12 11:10 sbrun Assigned To sbrun =>
2018-03-12 11:10 sbrun Status assigned => closed
2018-03-12 11:10 sbrun Resolution reopened => no change required
2018-05-08 07:24 g0tmi1k Status closed => feedback
2018-05-08 07:24 g0tmi1k Resolution no change required => reopened
2018-05-08 07:25 g0tmi1k Status feedback => new
2018-05-08 07:25 g0tmi1k Resolution reopened => open
2018-05-08 07:25 g0tmi1k Summary wifite2 => Switch from wifite to wifite2
2018-05-08 07:25 g0tmi1k Status new => resolved
2018-05-08 07:25 g0tmi1k Resolution open => fixed
2018-05-08 07:25 g0tmi1k Note Added: 0009127
2018-05-08 07:26 g0tmi1k Fixed in Version => 2018.3